// joi/10/juno/ShellCommandNotFoundException.java (version 10)                         
//                                                            
//                                                            
// Copyright 1997-2001 Ethan Bolker and Bill Campbell                         
                                                            
/**
 * The Exception when a ShellCommand isn't found.
 */

class ShellCommandNotFoundException extends JunoException 
{
    /**
     * Create a ShellCommandNotFoundException.
     */

    public ShellCommandNotFoundException() 
    {
    }
    
    /**
     * Create a ShellCommandNotFoundException with
     * a message reporting the command tried.
     */

    public ShellCommandNotFoundException(String commandName ) 
    {
        super( "ShellCommand " + commandName + " not found" );
    }
}
