// joi/3/shapes/TextLine.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// This file contains stubs for the methods.

/** 
 * A horizontal line of character text.
 *
 * @version 3
 */

public class TextLine
{
    /**
     * Construct a TextLine.
     *
     * @param text the text of the line.
     */

    public TextLine( String text )
    {
    }

    /**
     * Paint this TextLine on Screen s at position (x,y).
     *
     * @param s the Screen on which this line is to be painted.
     * @param x the x position for the line.
     * @param y the y position for the line.
     */

    public void paintOn( Screen s, int x, int y )
    {
    }

    /**
     * Draw the TextLine to Screen s at position (0,0).
     *
     * @param s the Screen on which this line is to be painted.
     */

    public void paintOn( Screen s )
    {
        paintOn( s, 0, 0 );
    }

    /**
     * Get the length of this line.
     *
     * @return the length in (character) pixels. 
     */

    public int getLength()
    {
        return 0; // replace with the right answer
    }

    /**
     * Unit test for class.TextLine,
     * assuming Screen and Terminal work.
     */

    public static void main( String[] args )
    {
    }
} 
