// joi/7/bank/InsufficientFundsException.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * Thrown when there is an attempt to spend money that is not there.
 *
 * @version 7
 */

public class InsufficientFundsException extends Exception 
{
    /**
     * Construct an InsufficientFundsException 
     * with a String description.
     *
     * @param msg a more specific description.
     */

    public InsufficientFundsException( String msg ) 
    {
	super( msg );
    }

    /** 
     * Construct an InsufficientFundsException 
     * with no description.
     */

    public InsufficientFundsException()
    {
	this( "" );
    }
}
