// Example 8.1 joi/examples/EscapeDemo.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// A class illustrating the escape character '\' in quoted Strings
//
// %> java EscapeDemo 
// argument to println     output
// "hello world"           hello world
// "hello\nworld"          hello
// world
// "\"hello world\""       "hello world"
// "hello\tworld"          hello   world
// "hello\bworld"          hellworld
//
// Note the use of quotes to get embedded blanks.

public class EscapeDemo 
{
    public static void main( String[] args ) 
    {
        System.out.println("argument to println\toutput");

        System.out.print("\"hello world\"\t\t");
        System.out.println("hello world");

        System.out.print("\"hello\\nworld\"\t\t");
        System.out.println("hello\nworld");

        System.out.print("\"\\\"hello world\\\"\"\t");
        System.out.println("\"hello world\"");

        System.out.print("\"hello\\tworld\"\t\t");
        System.out.println("hello\tworld");

        System.out.print("\"hello\\bworld\"\t\t");
        System.out.println("hello\bworld");
    }
}
