// joi/examples/PrimesDemo.java                         
//                                                            
//                                                            
// Copyright 1998-2001 Bill Campbell and Ethan Bolker                         
                                                            
// %> java PrimesDemo
// 91      false
// 101     true

public class PrimesDemo 
{
    public static boolean test( int n ) 
    {
        if ( n < 0 ) n = -n;
        if ((n == 1) || (n == 0)) return false;
        if (n == 2) return true;
        if (n % 2 == 0 ) return false;
        double limit = Math.sqrt(n);
        for (int j = 3; j <= limit; j += 2) {
            if (n % j == 0) return false;
        }
        return true;
    }

    public static void main( String[] args ) 
    {
        System.out.println(91 +  "\t" + PrimesDemo.test(91));
        System.out.println(101 + "\t" + PrimesDemo.test(101));
    }
}
