     1	// joi/10/juno/InterpreterInterface.java                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 2003 Bill Campbell and Ethan Bolker                         
     5	                                                            
     6	/**
     7	 * Juno needs an interpreter to process the user's response to 
     8	 * the login: prompt (or what she enters on a GUILoginConsole).
     9	 * 
    10	 * Each Shell needs an interpreter for shell command lines, 
    11	 * whether entered with a GUI or a CLI.
    12	 *
    13	 * @version 10
    14	 */
    15	
    16	public interface InterpreterInterface 
    17	{
    18	    /**
    19	     * Interpret a command line String.
    20	     *
    21	     * @param str the String to interpret
    22	     * @return true, unless str tells you there's nothing to follow
    23	     */
    24	
    25	    public boolean interpret( String str );
    26	}
