     1	// joi/7/juno/JunoException.java                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 2003 Bill Campbell and Ethan Bolker                         
     5	                                                            
     6	/**
     7	 * A general Juno Exception.
     8	 *
     9	 * @version 7
    10	 */
    11	
    12	public class JunoException extends Exception
    13	{
    14	    /**
    15	     * The default (no argument) constructor.
    16	     */
    17	
    18	    public JunoException()
    19	    {
    20	    }
    21	
    22	    /** 
    23	     * A general Juno exception holding a String message.
    24	     *
    25	     * @param message the message.
    26	     */
    27	    
    28	    public JunoException( String message )
    29	    {
    30		// Exception (actually Throwable, Exceptions's superclass)
    31		// can remember the String passed its constructor.
    32	
    33		super( message );
    34	    }
    35	
    36	    // Note, to get the message stored in a JunoException
    37	    // we can just use the (inherited) methods getMessage(),
    38	    // and toString().
    39	}
