// joi/4/dictionary/Definition.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * Model the definition of a word in a dictionary.
 *
 * @see Dictionary
 *
 * @version 4
 */

public class Definition
{
    private String definition;    // the defining string
    
    /** 
     * Construct a simple Definition.
     *
     * @param definition the definition.
     */

    public Definition( String definition )
    {
	this.definition = definition;
    }

    /**
     * Construct a String representation of this Definition.
     *
     * @return the definition string.
     */
    
    public String toString()
    {
	return definition;
    }
}
