// joi/7/juno/JunoException.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * A general Juno Exception.
 *
 * @version 7
 */

public class JunoException extends Exception
{
    /**
     * The default (no argument) constructor.
     */

    public JunoException()
    {
    }

    /** 
     * A general Juno exception holding a String message.
     *
     * @param message the message.
     */
    
    public JunoException( String message )
    {
	// Exception (actually Throwable, Exceptions's superclass)
	// can remember the String passed its constructor.

	super( message );
    }

    // Note, to get the message stored in a JunoException
    // we can just use the (inherited) methods getMessage(),
    // and toString().
}
