// Example 2.1 While1Demo.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// A class for illustrating the while-statement.  A typical run:
// 
// %> java While1Demo
// Enter integer (a negative to stop): 4
// 4 is non-negative.
// Enter integer (a negative to stop): -3
// 
// Enter integer (a negative to stop): 5
// 5 is non-negative.
// Enter integer (a negative to stop): -2
// Finally, enter integer you want to count to: 12
// Count 1 to 12: 1 2 3 4 5 6 7 8 9 10 11 12

public class While1Demo
{
    public static void main( String[] args ) 
    {
        Terminal terminal = new Terminal();  // for input and output
        
        // while tests a condition
        int n = terminal.readInt("Enter integer (a negative to stop): ");
        while ( n >= 0 ) {
            terminal.println( n + " is non-negative." );
            n = terminal.readInt("Enter integer (a negative to stop): ");
        }
        terminal.println();

        // while tests a boolean variable
        boolean more = true;
        while ( more ) {
            n = terminal.readInt("Enter integer (a negative to stop): ");
            if ( n >= 0 ) {
                terminal.println( n + " is non-negative." );
            }
            else {
                more = false;
            }
        }

        // while used for counting
        n = terminal.
            readInt("Finally, enter integer you want to count to: ");
        int i = 1;
        terminal.print( "Count 1 to " + n + ":" );
        while ( i <= n ) {
            terminal.print( " " + i );
            i++;  //  same as i = i + 1
        }
        terminal.println();
    }
}
