     1	// joi/10/juno/ShellCommandNotFoundException.java (version 10)                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 1997-2001 Ethan Bolker and Bill Campbell                         
     5	                                                            
     6	/**
     7	 * The Exception when a ShellCommand isn't found.
     8	 */
     9	
    10	class ShellCommandNotFoundException extends JunoException 
    11	{
    12	    /**
    13	     * Create a ShellCommandNotFoundException.
    14	     */
    15	
    16	    public ShellCommandNotFoundException() 
    17	    {
    18	    }
    19	    
    20	    /**
    21	     * Create a ShellCommandNotFoundException with
    22	     * a message reporting the command tried.
    23	     */
    24	
    25	    public ShellCommandNotFoundException(String commandName ) 
    26	    {
    27	        super( "ShellCommand " + commandName + " not found" );
    28	    }
    29	}
