     1	// joi/10/juno/InputInterface.java                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 2003 Ethan Bolker and Bill Campbell                         
     5	                                                            
     6	/**
     7	 *  Juno consoles use the same abstract method 
     8	 *  for input, so it is specified here. 
     9	 */
    10	
    11	public interface InputInterface 
    12	{
    13	   /**
    14	    * Read a line (terminated by a newline).
    15	    *
    16	    * @param promptString output string to prompt for input
    17	    * @return the string (without the newline character)
    18	    */
    19	
    20	   public String readLine( String promptString );
    21	}
    22	
